egdata API
API ReferenceOffers

Get an offer by ID

GET
/offers/{id}

Path Parameters

id*string

Epic offer identifier.

Query Parameters

locale?string

Exact BCP-47-style locale used to overlay localized public offer text fields. Defaults to en-US.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/offers/09176f4ff7564bbbb499bbe20bd6348f"
{  "id": "string",  "namespace": "string",  "title": "string",  "description": "string",  "longDescription": "string",  "offerType": "string",  "developerDisplayName": "string",  "publisherDisplayName": "string",  "seller": {    "id": "string",    "name": "string"  },  "tags": [    {}  ],  "offerMappings": [    {}  ],  "productSlug": "string",  "urlSlug": "string",  "url": "string",  "keyImages": [    {      "type": "string",      "url": "http://example.com",      "width": 0,      "height": 0    }  ],  "price": {    "offerId": "string",    "region": "string",    "price": {      "currencyCode": "string",      "originalPrice": 0,      "discountPrice": 0,      "discount": 0    },    "updatedAt": "2019-08-24T14:15:22Z"  },  "releaseDate": "2019-08-24T14:15:22Z",  "lastModifiedDate": "2019-08-24T14:15:22Z",  "locale": "es-ES",  "localeStatus": "canonical",  "canonicalLocale": "en-US",  "localization": {    "source": "string",    "fetchedAt": "2019-08-24T14:15:22Z",    "sourceUpdatedAt": "2019-08-24T14:15:22Z"  }}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}